gi-gdkx11-3.0.2: GdkX11 bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.GdkX11.Objects.X11Cursor

Contents

- Exported types
- Methods
  - getXcursor
  - getXdisplay

Description

No description available in the introspection data.

Synopsis

- newtype X11Cursor = X11Cursor (ManagedPtr X11Cursor)
- class GObject o => IsX11Cursor o
- toX11Cursor :: (MonadIO m, IsX11Cursor o) => o -> m X11Cursor
- noX11Cursor :: Maybe X11Cursor
- x11CursorGetXcursor :: (HasCallStack, MonadIO m, IsX11Cursor a) => a -> m CULong
- x11CursorGetXdisplay :: (HasCallStack, MonadIO m, IsX11Cursor a) => a -> m Display

# Exported types

newtype X11Cursor Source #

Memory-managed wrapper type.

Constructors

X11Cursor (ManagedPtr X11Cursor) |

Instances

GObject X11Cursor Source # |
Instance details Defined in GI.GdkX11.Objects.X11Cursor Methods gobjectType :: X11Cursor -> IO GType Source #
IsCursor X11Cursor Source # |
Instance details Defined in GI.GdkX11.Objects.X11Cursor
IsObject X11Cursor Source # |
Instance details Defined in GI.GdkX11.Objects.X11Cursor
IsX11Cursor X11Cursor Source # |
Instance details Defined in GI.GdkX11.Objects.X11Cursor

class GObject o => IsX11Cursor o Source #

Type class for types which can be safely cast to `X11Cursor`, for instance with `toX11Cursor`.

Instances

(GObject a, (UnknownAncestorError X11Cursor a :: Constraint)) => IsX11Cursor a Source # |
Instance details Defined in GI.GdkX11.Objects.X11Cursor
IsX11Cursor X11Cursor Source # |
Instance details Defined in GI.GdkX11.Objects.X11Cursor

toX11Cursor :: (MonadIO m, IsX11Cursor o) => o -> m X11Cursor Source #

Cast to `X11Cursor`, for types for which this is known to be safe. For general casts, use `castTo`.

noX11Cursor :: Maybe X11Cursor Source #

A convenience alias for `Nothing` :: `Maybe` `X11Cursor`.

# Methods

## getXcursor

x11CursorGetXcursor Source #

Arguments

:: (HasCallStack, MonadIO m, IsX11Cursor a) |
=> a | `cursor`: a `Cursor`.
-> m CULong | Returns: an Xlib Cursor.

Returns the X cursor belonging to a `Cursor`.

## getXdisplay

x11CursorGetXdisplay Source #

Arguments

:: (HasCallStack, MonadIO m, IsX11Cursor a) |
=> a | `cursor`: a `Cursor`.
-> m Display | Returns: an Xlib Display*.

Returns the display of a `Cursor`.